Bug 503826 - PCI device fails to allocate resource
PCI device fails to allocate resource
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.4
All Linux
low Severity medium
: beta
: 5.4
Assigned To: Don Dugger
Red Hat Kernel QE team
: Regression
Depends On:
Blocks: 484429
  Show dependency treegraph
 
Reported: 2009-06-02 17:45 EDT by Don Dugger
Modified: 2014-09-15 16:21 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:55:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix sr-iov regression with PCI device class (1013 bytes, patch)
2009-06-02 17:57 EDT, Don Dugger
no flags Details | Diff

  None (edit)
Description Don Dugger 2009-06-02 17:45:56 EDT
Description of problem:

According to this error report on the `linux-pci' mailing list:

http://www.spinics.net/lists/linux-pci/msg04607.html

the SR/IOV code includes a cleanup that can cause PCI devices to fail when trying allocate PCI resources.  Note that the problem appears to be platform specific as this issue has not turned up in extensive testing on multiple RHTS machines.
Comment 1 Don Dugger 2009-06-02 17:57:39 EDT
Created attachment 346325 [details]
fix sr-iov regression with PCI device class


The device class may be changed during the early fixup. So need to
re-read the device class from pci_dev after the fixup.            
                                                      
The patch "PCI: centralize device setup code" wrongly cleaned up the
device class re-read. This patch reverts that change.               
                                                     
Upstream status: Posted to the LKML (scheduled for the 2.6.30 release)
                                                                      
Signed-off-by: Yu Zhao <yu.zhao@intel.com>
Signed-off-by: Don Dugger <donald.d.dugger@intel.com>
Comment 8 Don Zickus 2009-06-18 10:51:39 EDT
in kernel-2.6.18-154.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 10 Evan McNabb 2009-06-18 15:36:13 EDT
Don (Dugger),

Would you be able to test this on -154? I don't believe we have access to hardware internally.
Comment 11 Bill Burns 2009-06-30 11:03:11 EDT
This requires partner testing.
Comment 12 Chris Ward 2009-07-03 14:45:01 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 13 Chris Ward 2009-07-10 15:13:56 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 15 errata-xmlrpc 2009-09-02 04:55:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 16 Don Dugger 2014-09-15 16:21:38 EDT
BZ closed the the need info is still outstanding - go figure.  Anyway, I think we can close this issue.

Note You need to log in before you can comment on or make changes to this bug.